<?php

function welearn_setting()

{
    $pre = 'welearn_';
    $general = 'general_';
    $slider = 'slider_';
    $intro = 'intro_';
    $step = 'step_';
    $portfolio = 'portfolio_';
    $services = 'services_';
    $team = 'team_';
    $customer = 'customer_';
    $blog = 'blog_';
    $sidebar = 'sidebar_';
    $news = 'news_';
    $clients = 'clients_';
    $args = array(
        'id' => $pre . 'main_options_page',
        'title' => 'تنظیمات تم   ',
        'object_types' => array('options-page'),
        'option_key' => $pre . 'main_options',
        'tab_group' => $pre . 'main_options',
        'tab_title' => 'تنظیمات عمومی ',
    );

    // 'tab_group' property is supported in > 2.4.0.
    if (version_compare(CMB2_VERSION, '2.4.0')) {
        $args['display_cb'] = $pre . 'options_display_with_tabs';
    }

    $main_options = new_cmb2_box($args);
    $main_options->add_field(array(
        'name' => 'تنظیمات هدر ',
        'id' => $general . 'header_box',
        'type' => 'title',
    ));

    $main_options->add_field(array(
        'name' => 'لوگو',
        'id' => $general . 'logo',
        'type' => 'file',
        'option' => array(
            'url' => true
        ),));
    $main_options->add_field(array(
        'name' => 'متن دکمه ',
        'id' => 'header_btn_title',
        'type' => 'text',
    ));
    $main_options->add_field(array(
        'name' => 'لینک دکمه ',
        'id' => 'header_btn_url',
        'type' => 'text',
    ));
    $social_group = $main_options->add_field(array(
        'id' => 'social',
        'type' => 'group',
        'repeatable' => true,
        'options' => array(
            'group_title' => 'شبکه های اجتماعی  ',
            'remove_button' => 'پاک کردن ',
            'add_button' => 'افزدون آدرس جدید ',
            'closed' => true),));

    $main_options->add_group_field($social_group, array(
        'name' => 'آیکن  شبکه اجتماعی ',
        'desc' => '<a href="https://fontawesome.com/v5.15/icons">لیست آیکن ها </a>',
        'type' => 'text',
        'id' => 'social_icon',
    ));

    $main_options->add_group_field($social_group, array(
        'name' => 'آدرس صفحه  ',
        'type' => 'text_url',
        'id' => 'social_link',
    ));
    $main_options->add_field(array(
        'id' => $general . 'footer',
        'name' => 'فوتر',
        'type' => 'title',
    ));
    $contact_group = $main_options->add_field(array(
        'id' => $general . 'group',
        'type' => 'group',
        'repeatable' => true,
        'options' => array(
            'group_title' => 'آیتم {#}',
            'remove_button' => 'پاک کردن ',
            'add_button' => 'افزدون جدید ',
            'closed' => true
        ),));
    $main_options->add_group_field($contact_group, array(
        'name' => 'آیکن',
        'desc' => 'ابعاد 165*165 فرمت png ',
        'type' => 'text',
        'id' => 'contact_icon',
    ));
    $main_options->add_group_field($contact_group, array(
        'name' => 'عنوان ',
        'type' => 'text',
        'id' => 'contact_title',
    ));
    $main_options->add_group_field($contact_group, array(
        'name' => 'زیر عنوان ',
        'type' => 'text',
        'id' => 'contact_subtitle',
    ));
    $main_options->add_field(array(
        'name' => 'متن کپی رایت   ',
        'type' => 'wysiwyg',
        'id' => $general . 'copyright',
        'options' => array(
            'wpautop' => true, // use wpautop?
            'media_buttons' => false, // show insert/upload button(s)
            'textarea_rows' => get_option('default_post_edit_rows', 3), // rows="..."
            'tabindex' => '',
            'editor_css' => '', // intended for extra styles for both visual and HTML editors buttons, needs to include the `<style>` tags, can use "scoped".
            'editor_class' => '', // add extra class(es) to the editor textarea
            'teeny' => false, // output the minimal editor config used in Press This
            'dfw' => false, // replace the default fullscreen with DFW (needs specific css)
            'tinymce' => true, // load TinyMCE, can be used to pass settings directly to TinyMCE using an array()
            'quicktags' => true //
        ),
    ));
    $main_options->add_field(array(
        'name' => 'پیاده سازی',
        'type' => 'wysiwyg',
        'id' => $general . 'executor',
        'options' => array(
            'wpautop' => true, // use wpautop?
            'media_buttons' => false, // show insert/upload button(s)
            'textarea_rows' => get_option('default_post_edit_rows', 3), // rows="..."
            'tabindex' => '',
            'editor_css' => '', // intended for extra styles for both visual and HTML editors buttons, needs to include the `<style>` tags, can use "scoped".
            'editor_class' => '', // add extra class(es) to the editor textarea
            'teeny' => false, // output the minimal editor config used in Press This
            'dfw' => false, // replace the default fullscreen with DFW (needs specific css)
            'tinymce' => true, // load TinyMCE, can be used to pass settings directly to TinyMCE using an array()
            'quicktags' => true //
        ),
    ));
    $main_options->add_field(array(
        'name' => 'تصویر پس زمینه فوتر',
        'type' => 'file',
        'id' => $general . 'bg_footer',
    ));
    //-----------------> register tab2 => slider
    /**
     * Registers secondary options page, and set main item as parent.
     */
    $args = array(
        'id' => $pre . 'slider_options_page',
        'menu_title' => ' اسلایدر  ',
        'object_types' => array('options-page'),
        'option_key' => $pre . 'slider_options',
        'parent_slug' => $pre . 'main_options',
        'tab_group' => $pre . 'main_options',
        'tab_title' => ' اسلایدر   ',
    );

    // 'tab_group' property is supported in > 2.4.0.
    if (version_compare(CMB2_VERSION, '2.4.0')) {
        $args['display_cb'] = $pre . 'options_display_with_tabs';
    }

    $slider_options = new_cmb2_box($args);
    $slider_group = $slider_options->add_field(array(
        'id' => $slider . 'group',
        'type' => 'group',
        'repeatable' => true,
        'options' => array(
            'group_title' => 'آیتم اسلایدر  {#}',
            'remove_button' => 'پاک کردن ',
            'add_button' => 'افزدون جدید ',
            'closed' => true
        ),
    ));
    $slider_options->add_group_field($slider_group, array(
        'name' => 'تصویر  ',
        'type' => 'file',
        'id' => $slider . 'thumbnail',
    ));
    $slider_options->add_group_field($slider_group, array(
        'name' => 'تیتر ',
        'type' => 'text',
        'id' => $slider . 'title',
    ));

    $slider_options->add_group_field($slider_group, array(
        'name' => 'توضیح ',
        'id' => $slider . 'desc',
        'type' => 'wysiwyg',
        'options' => array(
            'wpautop' => false,
            'media_buttons' => false,
            'textarea_rows' => 1,
            'tabindex' => '',
            'editor_css' => '',
            'editor_class' => '',
            'teeny' => false,
            'dfw' => false,
            'tinymce' => true,
            'quicktags' => true
        ),));


//-----------------> register tab => intro
    /**
     * Registers secondary options page, and set main item as parent.
     */
    $args = array(
        'id' => $pre . 'intro_options_page',
        'menu_title' => ' درباره وی لرن ',
        'object_types' => array('options-page'),
        'option_key' => $pre . 'intro_options',
        'parent_slug' => $pre . 'main_options',
        'tab_group' => $pre . 'main_options',
        'tab_title' => 'درباره وی لرن',
    );

    // 'tab_group' property is supported in > 2.4.0.
    if (version_compare(CMB2_VERSION, '2.4.0')) {
        $args['display_cb'] = $pre . 'options_display_with_tabs';
    }

    $intro_options = new_cmb2_box($args);
    $intro_options->add_field(array(
        'name' => 'عنوان درباره ی ما  ',
        'type' => 'text',
        'id' => $intro . 'title',
    ));
    $intro_options->add_field(array(
        'name' => 'متن  ',
        'id' => $intro . 'desc',
        'type' => 'wysiwyg',
        'options' => array(
            'wpautop' => false,
            'media_buttons' => false,
            'textarea_rows' => 1,
            'tabindex' => '',
            'editor_css' => '',
            'editor_class' => '',
            'teeny' => false,
            'dfw' => false,
            'tinymce' => true,
            'quicktags' => true
        ),));
    $intro_options->add_field(array(
        'name' => 'دکمه ',
        'type' => 'text',
        'id' => $intro . 'btn_title',
    ));
    $intro_options->add_field(array(
        'name' => 'لینک دکمه  ',
        'type' => 'text',
        'id' => $intro . 'btn_url',
    ));
    $intro_options->add_field(array(
        'name' => 'تصویر درباره ما  ',
        'desc' => 'ابعاد : 421*526 ',
        'type' => 'file',
        'id' => $intro . 'thumbnail',
    ));
    $feature_group = $intro_options->add_field(array(
        'id' => $intro . 'features',
        'type' => 'group',
        'repeatable' => true,
        'options' => array(
            'group_title' => 'آیتم شعار  {#}',
            'remove_button' => 'پاک کردن ',
            'add_button' => 'افزدون جدید ',
            'closed' => true
        ),
    ));
    $intro_options->add_group_field($feature_group, array(
        'name' => 'شعار ',
        'type' => 'text',
        'id' => $intro . 'feature_title',
    ));
    $intro_options->add_group_field($feature_group, array(
        'name' => 'لینک ',
        'type' => 'text',
        'id' => $intro . 'feature_link',
    ));
    $intro_options->add_group_field($feature_group, array(
        'name' => 'آیکن',
        'desc' => '<a href="https://fontawesome.com/v5.15/icons">لیست آیکن ها </a>',
        'type' => 'text',
        'id' => $intro . 'feature_icon',
    ));
    $in_team_group = $intro_options->add_field(array(
        'id' => $intro . 'team_group',
        'type' => 'group',
        'repeatable' => true,
        'options' => array(
            'group_title' => 'تصویر اعضا {#}',
            'remove_button' => 'پاک کردن ',
            'add_button' => 'افزدون جدید ',
            'closed' => true
        ),
    ));
    $intro_options->add_group_field($in_team_group, array(
        'name' => 'آواتار',
        'desc' => 'ابعاد 58*58 ',
        'type' => 'file',
        'id' => $intro . 'team',
    ));
    $intro_options->add_field(array(
        'name' => 'تعداد اعضای تیم ',
        'type' => 'text',
        'id' => $intro . 'more',
    ));
    $intro_options->add_field(array(
        'name' => 'متن بالای اعضای تیم ',
        'type' => 'text',
        'id' => $intro . 'team_title',
    ));
    $intro_options->add_field(array(
        'name' => 'لینک  ',
        'type' => 'text',
        'id' => $intro . 'team_link',
    ));
}


add_action('cmb2_admin_init', 'welearn_setting');


/**
 * A CMB2 options-page display callback override which adds tab navigation among
 * CMB2 options pages which share this same display callback.
 *
 * @param CMB2_Options_Hookup $cmb_options The CMB2_Options_Hookup object.
 */

function welearn_options_display_with_tabs($cmb_options)

{

    $tabs = welearn_options_page_tabs($cmb_options);

    ?>

    <div class="wrap cmb2-options-page option-<?php echo $cmb_options->option_key; ?>">

        <?php if (get_admin_page_title()) : ?>

            <h2><?php echo wp_kses_post(get_admin_page_title()); ?></h2>

        <?php endif; ?>

        <h2 class="nav-tab-wrapper">

            <?php foreach ($tabs as $option_key => $tab_title) : ?>

                <a class="nav-tab<?php if (isset($_GET['page']) && $option_key === $_GET['page']) : ?> nav-tab-active<?php endif; ?>"

                   href="<?php menu_page_url($option_key); ?>"><?php echo wp_kses_post($tab_title); ?></a>

            <?php endforeach; ?>

        </h2>

        <form class="cmb-form" action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="POST"

              id="<?php echo $cmb_options->cmb->cmb_id; ?>" enctype="multipart/form-data"

              encoding="multipart/form-data">

            <input type="hidden" name="action" value="<?php echo esc_attr($cmb_options->option_key); ?>">

            <?php $cmb_options->options_page_metabox(); ?>

            <?php submit_button(esc_attr($cmb_options->cmb->prop('save_button')), 'primary', 'submit-cmb'); ?>

        </form>

    </div>

    <?php

}


/**
 * Gets navigation tabs array for CMB2 options pages which share the given
 * display_cb param.
 *
 * @param CMB2_Options_Hookup $cmb_options The CMB2_Options_Hookup object.
 *
 * @return array Array of tab information.
 */

function welearn_options_page_tabs($cmb_options)

{

    $tab_group = $cmb_options->cmb->prop('tab_group');

    $tabs = array();


    foreach (CMB2_Boxes::get_all() as $cmb_id => $cmb) {

        if ($tab_group === $cmb->prop('tab_group')) {

            $tabs[$cmb->options_page_keys()[0]] = $cmb->prop('tab_title')

                ? $cmb->prop('tab_title')

                : $cmb->prop('title');

        }

    }


    return $tabs;

}


?>